package com.ghy.web.controller.order;

import java.math.BigDecimal;

/**
 * 售后纠纷处理请求
 *
 * @author system
 * @date 2024-12-19
 */
public class AfterServiceDisputeRequest {
    
    /**
     * 售后记录ID
     */
    private String recordId;
    
    /**
     * 主单ID
     */
    private Long orderMasterId;
    
    /**
     * 子单ID
     */
    private Long orderDetailId;
    
    /**
     * 退款金额
     */
    private BigDecimal refundAmount;
    
    /**
     * 售后纠纷平台处理原因
     */
    private String platformHandleReason;
    
    public String getRecordId() {
        return recordId;
    }
    
    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }
    
    public Long getOrderMasterId() {
        return orderMasterId;
    }
    
    public void setOrderMasterId(Long orderMasterId) {
        this.orderMasterId = orderMasterId;
    }
    
    public Long getOrderDetailId() {
        return orderDetailId;
    }
    
    public void setOrderDetailId(Long orderDetailId) {
        this.orderDetailId = orderDetailId;
    }
    
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }
    
    public String getPlatformHandleReason() {
        return platformHandleReason;
    }
    
    public void setPlatformHandleReason(String platformHandleReason) {
        this.platformHandleReason = platformHandleReason;
    }
    
    @Override
    public String toString() {
        return "AfterServiceDisputeRequest{" +
                "recordId='" + recordId + '\'' +
                ", orderMasterId=" + orderMasterId +
                ", orderDetailId=" + orderDetailId +
                ", refundAmount=" + refundAmount +
                ", platformHandleReason='" + platformHandleReason + '\'' +
                '}';
    }
}
